# Generated from fork_ribs-0.0.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fork_ribs

Name: rubygem-%{gem_name}
Version: 0.0.7
Release: 1%{?dist}
Summary: Ribbons that can be used for multiple purposes
License: MIT
URL: https://github.com/vipulchhabra/fork_ribs
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
It gives your application a stripe/ribbon which you can use for various
purposes such as 'fork me on github', 'follow me on twitter', 'Quote of the
day', etc.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/app
%{gem_instdir}/fork_ribs-0.0.2.gem
%{gem_instdir}/fork_ribs-0.0.3.gem
%{gem_instdir}/fork_ribs-0.0.4.gem
%{gem_instdir}/fork_ribs-0.0.6.gem
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/fork_ribs.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.7-1
- Initial package
